libsamplerate (0.2.2-4) unstable; urgency=medium

  * Drop transitional package 'samplerate-programs' (Closes: #1038274)
  * Switch upstream-homepage to github
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Aug 2023 17:31:11 +0200

libsamplerate (0.2.2-3) unstable; urgency=high

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Dennis Braun ]
  * Fix FTBFS with fftw3. Thanks to Bas Couwenberg (Closes: #1025310)
  * Do not install extra license file

 -- Dennis Braun <snd@debian.org>  Sat, 03 Dec 2022 22:47:47 +0100

libsamplerate (0.2.2-2) unstable; urgency=medium

  [ Jenkins ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Dennis Braun ]
  * Add pkg-config to B-Ds (Closes: #1019997)
  * Bump Standards Version to 4.6.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 29 Sep 2022 10:23:59 +0200

libsamplerate (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2

  * libsamplerate0-dev: Drop static libraries
    - static libraries have been disabled by upstream
  * Drop Files-Excluded (no longer needed)
  * Apply 'wrap-and-sort -ast'
  * Remove trailing whitespace in d/changelog
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 23 Sep 2021 10:54:05 +0200

libsamplerate (0.2.1+ds0-1) unstable; urgency=medium

  * New upstream version 0.2.1+ds0

  [ IOhannes m zmölnig ]
  * Drop patches applied upstream
  * Update symbols-file
    * Add new symbols
    * Add Build-Depends-Package to symbols-file
  * Make samplerate-programs a transitional package
    * it's been superseded by sndfile-tools
  * Mark libsamplerate.la as not-installed
  * API documentation is now in md, rather than html
  * Add salsa-ci configuration
  * Drop obsolete d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Update d/watch
    * Use upstream's github repository
    * Add repacksuffix
  * Refresh d/copyright
    * Exclude repository configuration from upstream sources
    * Regenerate d/copyright_hints
    * Exclude png-files from licensecheck
  * Bump dh-compat to 13
  * Bump standards version to 4.5.1

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 23 Jan 2021 20:27:57 +0100

libsamplerate (0.1.9-2) unstable; urgency=medium

  * Added Vcs-* stanzas (Closes: #888665)
  * Updated maintainer address
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Mar 2018 20:46:43 +0100

libsamplerate (0.1.9-1) unstable; urgency=medium

  * New upstream version 0.1.9
    * (Closes: #860159)
    * Fixes CVE-2017-7697

  [ IOhannes m zmölnig ]
  * Adopted package into pkg-multimedia team
  * Refreshed patches
  * Link as needed
  * Updated symbols file
  * Switched build-system to dh 10 (Closes: #836014)
  * Documentation fix (Closes: #815151)
  * Machine readable d/copyright
    * licensecheck support
  * Removed d/*.dirs - no longer needed
  * Added local source options
  * Bumped standards version to 4.0.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 17 Aug 2017 13:37:33 +0200

libsamplerate (0.1.8-8) unstable; urgency=low

  * debian/rules: Regenerate configure if needed. Patch from Svante Signell.
  * debian/patches/hurd.patch: GNU/Hurd patch from Svante Signell
    (Closes: 753425).
  * debian/control: Add quilt to build-deps.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Fri,  4 Jul 2014 12:48:46 +1000

libsamplerate (0.1.8-7) unstable; urgency=low

  * debian/rules: Switch from autotools-dev to dh-autoreconf at the suggestion
    of Steve Langasek. (Closes: 736686).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed, 29 Jan 2014 18:01:00 +1100

libsamplerate (0.1.8-6) unstable; urgency=low

  [Wookey <wookey@debian.org>]
  * Ensure config.{sub,guess} up to date for new ports (Closes: #734673).

  [Erik de Castro Lopo]
  * debian/control:
    - Standards version 3.9.5. No changes needed.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sun, 19 Jan 2014 21:02:34 +1100

libsamplerate (0.1.8-5) unstable; urgency=low

  * debian/rules: Purge *.la files after install.
  * debian/libsamplerate0-dev.install: Don't install *.la files.
  * debian/control: Standards version 3.9.3. No changes needed.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 18 Jun 2012 19:39:35 +1000

libsamplerate (0.1.8-4) unstable; urgency=low

  * debian/control:
    - Standards version 3.9.2 (no changes needed).
    - Use Replaces instead of Replaces/Breaks (Closes: #657414).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sun, 11 Mar 2012 16:39:18 +1100

libsamplerate (0.1.8-3) unstable; urgency=low

  * samplerate-programs Fix Replaces/Breaks libsamplerate0 (<< 0.1.8)
    (Closes: #657414).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sun, 19 Feb 2012 10:52:28 +1100

libsamplerate (0.1.8-2) unstable; urgency=low

  * Enabling harden build flags.
  * samplerate-programs Replaces/Breaks libsamplerate0 (<< 0.1.8)
    (Closes: #657414:).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Fri, 27 Jan 2012 20:07:43 +1100

libsamplerate (0.1.8-1) unstable; urgency=low

  * New upstream (Closes: #637691).
  * debian/patches/ : Remove uneeded patches (fixed upstream).
  * debian/control : Remove quilt from build-deps.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 16 Aug 2011 18:32:49 +1000

libsamplerate (0.1.7-4) unstable; urgency=low

  * Patch from Steve Langasek to enable multiarch (Closes: #637588).
  * debian/control: Standards version 3.9.2 (no changes needed).
  * debian/rules:
    - Add build-arch and build-indep targets.
    - Force clearing of dependency_libs in libsamplerate.la.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sat, 13 Aug 2011 10:09:55 +1000

libsamplerate (0.1.7-3) unstable; urgency=low

  * debian/control :
    - New maintainer (Closes: #546788).
    - Add DM-Upload-Allowed yes.
    - Improved package descriptions.
    - Standards version to 3.8.3.
  * debian/patches/ debian/rules debian/control :
    - Use quilt instead of dpatch.
  * debian/rules :
    - Do not install example binary varispeed-play which was always intended as
      a coding demo rather than something usable.
  * Add file debian/README.source.
  * Add manpage for sndfile-resample.
  * Add a patch to fix termination condition bug (Closes: #539878).
  * Add patch to prevent crashing when input_frames == 0 (Closes: #506722).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed,  7 Oct 2009 21:46:20 +1100

libsamplerate (0.1.7-2) unstable; urgency=low

  * Added callback_test.dpatch to correct rounding error in callback test,
    closes: #515658.

 -- Samuel Mimram <smimram@debian.org>  Tue, 17 Feb 2009 23:35:15 +0100

libsamplerate (0.1.7-1) unstable; urgency=low

  * New upstream release.
  * Use Homepage field.
  * Updated compat to 7.
  * Updated standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Mon, 16 Feb 2009 10:25:25 +0100

libsamplerate (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Mon, 14 Jul 2008 13:46:21 +0200

libsamplerate (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Updated standards version to 3.7.3, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Sat, 05 Apr 2008 15:28:40 +0200

libsamplerate (0.1.2-5) unstable; urgency=low

  * Using dpatch to handle patches.
  * Added api.dpatch to correct links in the documentation, closes: #423590.

 -- Samuel Mimram <smimram@debian.org>  Tue, 22 May 2007 22:06:50 +0200

libsamplerate (0.1.2-4) unstable; urgency=low

  * Correctly install varispeed-play, closes: #421422.

 -- Samuel Mimram <smimram@debian.org>  Sun, 29 Apr 2007 00:17:06 +0200

libsamplerate (0.1.2-3) unstable; urgency=low

  * Adopting the package, closes: #418081.
  * Rephrased samplerate-programs package description, closes: #345745.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Sat, 07 Apr 2007 01:36:51 +0200

libsamplerate (0.1.2-2) unstable; urgency=low

  * Previous upload was rejected by ftp-master because they felt that
    having only a single binary in samplerate-programs was not a good
    idea.
  * Include all example programs instead.

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 26 Nov 2005 09:44:31 +1100

libsamplerate (0.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #333478)
  * Include sample programs (Closes: #297138)
  * Install all docs (Closes: #275390)

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 26 Oct 2005 14:21:42 +1000

libsamplerate (0.1.1-2) unstable; urgency=low

  * Install documentation (Closes: #262921)

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 23 Aug 2004 09:27:09 +1000

libsamplerate (0.1.1-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 31 Jul 2004 18:15:20 +1000

libsamplerate (0.1.0-2) unstable; urgency=low

  * Include upstreams documentation

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 17 Mar 2004 01:47:49 +1100

libsamplerate (0.1.0-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 16 Mar 2004 23:29:17 +1100

libsamplerate (0.0.15-2) unstable; urgency=low

  * Depend upon pkg-config (Closes: #197638)

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 30 Jun 2003 00:08:30 +1000

libsamplerate (0.0.15-1) unstable; urgency=low

  * New upstream version
  * Switch to libdevel

 -- Anand Kumria <wildfire@progsoc.org>  Sat,  3 May 2003 21:59:33 +1000

libsamplerate (0.0.14-1) unstable; urgency=low

  * New upstream release
  * Update to policy 3.5.8.0

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 23 Mar 2003 12:17:37 +1100

libsamplerate (0.0.13-3) unstable; urgency=low

  * Fix speeling (Closes: #172484)
  * Improve description
  * Add dependancy on libsndfile1 and perform 'make check'

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 25 Dec 2002 12:58:43 +1100

libsamplerate (0.0.13-2) unstable; urgency=low

  * Provide .la and pkgconfig files
  * Remove .ex files from debian

 -- Anand Kumria <wildfire@progsoc.org>  Sat,  7 Dec 2002 14:16:24 +1100

libsamplerate (0.0.13-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Sat,  7 Dec 2002 03:01:21 +1100

libsamplerate (0.0.12-1) unstable; urgency=low

  * Initial Release.

 -- Anand Kumria <wildfire@progsoc.org>  Thu,  5 Dec 2002 23:05:38 +1100
